%define bootstrap 0

%define module	nose

Summary:	Unittest-based testing framework for Python
Name:		python-%{module}
Version:	1.3.7
Release:	1
Source0:	https://pypi.python.org/packages/source/n/nose/nose-%{version}.tar.gz
License:	LGPLv2+
Group:		Development/Python
Url:		http://python-nose.googlecode.com/
BuildArch:	noarch
%if !%{bootstrap}
BuildRequires:	python-sphinx >= 0.6.0
%endif
BuildRequires:	python-setuptools
BuildRequires:	python-devel


%description
nose extends the test loading and running features of unittest,
making it easier to write, find and run tests.

By default, nose will run tests in files or directories under the current
working directory whose names include "test" or "Test" at a word boundary (like
"test_this" or "functional_test" or "TestClass" but not "libtest"). Test output
is similar to that of unittest, but also includes captured stdout output from
failing tests, for easy print-style debugging.

These features, and many more, are customizable through the use of plugins.
Plugins included with nose provide support for doctest, code coverage and
profiling, flexible attribute-based test selection, output capture and more.

%prep
%setup -qn %{module}-%{version}

%install
%if !%{bootstrap}
%make -C doc/ html
%endif

python setup.py install --root=%{buildroot}
mkdir -p %{buildroot}%{_mandir}/man1
mv %{buildroot}/usr/man/man1/nosetests.1 %{buildroot}%{_mandir}/man1/

%files 
%doc AUTHORS CHANGELOG NEWS README.txt lgpl.txt examples
%if !%{bootstrap}
%doc doc/.build/html
%endif
%{_bindir}/nosetests
%{_bindir}/nosetests-2*
%{_mandir}/man1/nosetests.*
%{py_puresitedir}/*

%changelog

* Mon Dec 28 2015 dsilakov <denis.silakov@rosalab.ru> 1.3.7-1
- (8c64190) Merge pull request #3 from import/python-nose:auto_update
- (8c64190) Updated to 1.3.7 (by updates_builder)


